Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.consumer.management.page
Interface ProxyPageManager

All Superinterfaces
  ProxyResourceManager

    public interface ProxyPageManager

extends ProxyResourceManager

Manages proxy portlets for one or more producers.

This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Nested Class Summary
`static class` | `ProxyPageManager.Factory` A `ProxyPageManager` factory.

Method Summary
`int` | `createProxyPage(ProxyResourceContext proxyResourceContext, String producerHandle, IPageDescription pageDescription, List<IPortletDescription> offeredPortlets, Locale locale, javax.servlet.http.HttpServletRequest httpRequest, String webAppName, String defaultLayout, String defaultMenu)` Creates a proxy page.
`SortableFilterablePagedResult<ProxyPage>` | `getProxyPages(ProxyResourceContext proxyResourceContext, ProxyResourceSearchCriteria proxyResourceSearchCriteria, javax.servlet.http.HttpServletRequest httpRequest, String producerHandle, int pageSize)` Returns a `SortableFilterablePagedResult` of `ProxyPage`s being used from a given producer without delegated administration (DA) checks.
`SortableFilterablePagedResult<ProxyPage>` | `getProxyPagesForProducer(ProxyResourceContext proxyResourceContext, ProxyResourceSearchCriteria proxyResourceSearchCriteria, javax.servlet.http.HttpServletRequest httpRequest, String producerHandle, int pageSize)` Returns a `SortableFilterablePagedResult` of `ProxyPage`s being used from a given producer with delegated administration (DA) checks.

Methods inherited from interface com.bea.wsrp.consumer.management.common.ProxyResourceManager
`makePrimary`

Method Detail

### createProxyPage

    int createProxyPage(ProxyResourceContext proxyResourceContext,
                        String producerHandle,
                        IPageDescription pageDescription,
                        List<IPortletDescription> offeredPortlets,
                        Locale locale,
                        javax.servlet.http.HttpServletRequest httpRequest,
                        String webAppName,
                        String defaultLayout,
                        String defaultMenu)
                        throws IllegalArgumentException,
                               ProxyPageManagerException

  Creates a proxy page.

  Result returned from the combination of ProxyResourceAction and ProxyResourceActionScope in ProxyResourceContext

  Parameters
    `proxyResourceContext` -
    `producerHandle` - producer handle
    `pageDescription` - page description
    `webAppName` - name of the webapp in which proxy portlets reside
    `defaultLayout` - layout to be used if the layout specified in `pageDescription` does not exist
    `defaultMenu` - menu to be used if the menu specified in `bookDescription` does not exist
  Returns
    portlet definition ID for the proxy portlet
  Throws
    `IllegalArgumentException` - thrown when input arguments are not valid is encountered
    `ProxyPageManagerException` - thrown when a general error is encountered

### getProxyPages

    SortableFilterablePagedResult<ProxyPage> getProxyPages(ProxyResourceContext proxyResourceContext,
                                                           ProxyResourceSearchCriteria proxyResourceSearchCriteria,
                                                           javax.servlet.http.HttpServletRequest httpRequest,
                                                           String producerHandle,
                                                           int pageSize)
                                                           throws ProxyPageManagerException

  Returns a `SortableFilterablePagedResult` of `ProxyPage`s being used from a given producer without delegated administration (DA) checks. If DA needs to be applied to the returned list, see the getProxyPagesForProducer() method.

  Parameters
    `proxyResourceContext` -
    `proxyResourceSearchCriteria` -
    `httpRequest` -
    `producerHandle` - handle of the producer
    `pageSize` -
  Returns
    List of `ProxyPage`s
  Throws
    `ProxyPageManagerException` - thrown when a general error is encountered

### getProxyPagesForProducer

    SortableFilterablePagedResult<ProxyPage> getProxyPagesForProducer(ProxyResourceContext proxyResourceContext,
                                                                      ProxyResourceSearchCriteria proxyResourceSearchCriteria,
                                                                      javax.servlet.http.HttpServletRequest httpRequest,
                                                                      String producerHandle,
                                                                      int pageSize)
                                                                      throws ProxyPageManagerException

  Returns a `SortableFilterablePagedResult` of `ProxyPage`s being used from a given producer with delegated administration (DA) checks.

  Parameters
    `proxyResourceContext` -
    `proxyResourceSearchCriteria` -
    `httpRequest` -
    `producerHandle` - handle of the producer
    `pageSize` -
  Returns
    List of `ProxyPage`s
  Throws
    `ProxyPageManagerException` - thrown when a general error is encountered

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.